#GameData::tables/vehicles

vehicles {
    bike {
		image   = encounters/bike.png
	    icon    = vehicles/bike.png
		max_hp  = 78
		price   = 2000
		stats {
			hull     = 2
			speed    = 5
			maneuver = 2
			movement = wheeled
		}
        cargo {
            slots = 4
            slot_0_pos = 222.f 231.f
            slot_1_pos = 222.f 314.f
            slot_2_pos = 222.f 397.f
            slot_3_pos = 222.f 480.f
        }
        equipment {
            1 {
                position = 222 185
                mounting = external
                content  = machinegun
            }
            2 {
                position = 222 268
                mounting = interior
            }
            3 {
                position = 222 351
                mounting = interior
            }
            4 {
                position = 222 434
                mounting = interior
                content  = battery
            }
            5 {
                position = 222 517
                mounting = engine
                content  = titanum_engine
            }
            6 {
                position = 139 394
                mounting = external
            }
            7 {
                position = 305 394
                mounting = external
            }
        }
    }
    five_wheeler {
		image   = encounters/five_wheeler.png
	    icon    = vehicles/five_wheeler.png
		max_hp  = 134
		price   = 3500
		stats {
			hull     = 3
			speed    = 2
			maneuver = 2
			movement = wheeled
		}
        cargo {
            slots = 10
            slot_0_pos = 222.f 184.f
            slot_1_pos = 222.f 268.f
            slot_2_pos = 182.f 352.f
            slot_3_pos = 265.f 352.f
            slot_4_pos = 182.f 436.f
            slot_5_pos = 265.f 436.f
            slot_6_pos = 182.f 520.f
            slot_7_pos = 265.f 520.f
            slot_8_pos = 182.f 604.f
            slot_9_pos = 265.f 604.f
        }
        equipment {
            1 {
                position = 222 184
                mounting = external
            }
            2 {
                position = 222 354
                mounting = interior
            }
            3 {
                position = 222 432
                mounting = interior
            }
            4 {
                position = 182 516
                mounting = interior
                content  = battery
            }
            5 {
                position = 265 516
                mounting = interior
                content  = battery
            }
            6 {
                position = 182 600
                mounting = engine
                content  = titanum_engine
            }
            7 {
                position = 265 600
                mounting = engine
                content  = titanum_engine
            }
        }
    }
    quadrentine {
		image   = encounters/quadrentine.png
	    icon    = vehicles/quadrentine.png
		max_hp  = 171
		price   = 13500
		stats {
			hull     = 4
			speed    = 4
			maneuver = 3
			movement = wheeled
		}
        cargo {
            slots = 8
            slot_0_pos = 135.f 342.f
            slot_1_pos = 219.f 342.f
            slot_2_pos = 303.f 342.f
            slot_3_pos = 135.f 426.f
            slot_4_pos = 219.f 426.f
            slot_5_pos = 303.f 426.f
            slot_6_pos = 180.f 510.f
            slot_7_pos = 263.f 510.f
        }
        equipment {
            1 {
                position = 220 101
                mounting = external
            }
            2 {
                position = 220 284
                mounting = interior
            }
            3 {
                position = 135 317
                mounting = external
				content  = machinegun
            }
            4 {
                position = 303 317
                mounting = external
				content  = machinegun
            }
            5 {
                position = 219 368
                mounting = interior
            }
            6 {
                position = 135 402
                mounting = interior
            }
            7 {
                position = 303 402
                mounting = interior
            }
            8 {
                position = 180 486
                mounting = interior
                content  = battery
            }
            9 {
                position = 263 486
                mounting = interior
                content  = battery
            }
            10 {
                position = 180 570
                mounting = engine
                content  = titanum_engine
            }
            11 {
                position = 263 570
                mounting = engine
                content  = titanum_engine
            }
        }
    }
    turret {
	    buyable = false
#		image   = encounters/bike.png
	    icon    = vehicles/turret.png
		max_hp  = 98
#		price   = 2000
		stats {
#			hull     = 2
			speed    = 0
			maneuver = 4
#			movement = wheeled
		}
        equipment {
            1 {
                mounting = external
                content  = machinegun
            }
            2 {
                mounting = external
                content  = machinegun
            }
            3 {
                mounting = external
                content  = missiles
            }
            4 {
                mounting = external
            }
        }
    }
    trike {
		image   = encounters/trike.png
	    icon    = vehicles/trike.png
		max_hp  = 127
		price   = 6500
		stats {
			hull     = 3
			speed    = 4
			maneuver = 5
			movement = wheeled
		}
        cargo {
            slots = 6
            slot_0_pos = 177.f 355.f
            slot_1_pos = 260.f 355.f
            slot_2_pos = 177.f 438.f
            slot_3_pos = 260.f 438.f
            slot_4_pos = 177.f 521.f
            slot_5_pos = 260.f 521.f
        }
        equipment {
            1 {
                position = 219 190
                mounting = external
                content  = machinegun
            }
            2 {
                position = 219 273
                mounting = interior
            }
            3 {
                position = 136 338
                mounting = external
            }
            4 {
                position = 302 338
                mounting = external
            }
            5 {
                position = 219 356
                mounting = interior
            }
            6 {
                position = 178 439
                mounting = interior
            }
            7 {
                position = 265 439
                mounting = interior
				content  = battery
            }
            8 {
                position = 219 522
                mounting = engine
                content  = titanum_engine
            }
        }
    }
    car {
		image   = encounters/car.png
	    icon    = vehicles/car.png
		max_hp  = 40
		price   = 1000
		stats {
			hull     = 1
			speed    = 3
			maneuver = 3
			movement = wheeled
		}
        cargo {
            slots = 4
            slot_0_pos = 180.f 371.f
            slot_1_pos = 262.f 371.f
            slot_2_pos = 180.f 454.f
            slot_3_pos = 262.f 454.f
        }
        equipment {
            1 {
                position = 220 472
                mounting = engine
                content  = titanum_engine
            }
            2 {
                position = 220 226
                mounting = external
            }
            3 {
                position = 220 309
                mounting = interior
            }
            4 {
                position = 267 390
                mounting = interior
                content  = battery
            }
            5 {
                position = 178 390
                mounting = interior
            }
        }
    }
    quad {
		image   = encounters/quad.png
	    icon    = vehicles/quad.png
		max_hp  = 189
		price   = 12000
		stats {
			hull     = 4
			speed    = 3
			maneuver = 4
			movement = wheeled
		}
        cargo {
            slots = 9
            slot_0_pos = 180 250
            slot_1_pos = 263 250
            slot_2_pos = 135 333
            slot_3_pos = 218 333
            slot_4_pos = 301 333
            slot_5_pos = 180 416
            slot_6_pos = 263 416
            slot_7_pos = 180 499
            slot_8_pos = 263 499
        }
        equipment {
            1 {
                position = 179 191
                mounting = external
            }
            2 {
                position = 262 191
                mounting = external
            }
            3 {
                position = 218 274
                mounting = interior
            }
            4 {
                position = 218 357
                mounting = interior
            }
            5 {
                position = 127 301
                mounting = external
                content  = machinegun
            }
            6 {
                position = 312 301
                mounting = external
                content  = machinegun
            }
            7 {
                position = 179 440
                mounting = interior
            }
            8 {
                position = 262 440
                mounting = interior
                content  = battery
            }
            9 { 
                position = 220 523
                mounting = engine
                content  = titanum_engine
            }
        }
    }
    karvester {
		image   = encounters/karvester.png
	    icon    = vehicles/karvester.png
		max_hp  = 297
		price   = 19000
		stats {
			hull     = 7
			speed    = 1
			maneuver = 1
			movement = tracked
		}
        cargo {
            slots = 15
            slot_0_pos = 152.f 204.f
            slot_1_pos = 230.f 204.f
            slot_2_pos = 308.f 204.f
            slot_3_pos = 152.f 282.f
            slot_4_pos = 230.f 282.f
            slot_5_pos = 308.f 282.f
            slot_6_pos = 152.f 360.f
            slot_7_pos = 230.f 360.f
            slot_8_pos = 308.f 360.f
            slot_9_pos = 152.f 438.f
            slot_10_pos = 230.f 438.f
            slot_11_pos = 308.f 438.f
            slot_12_pos = 152.f 516.f
            slot_13_pos = 230.f 516.f
            slot_14_pos = 308.f 516.f
        }
		equipment {
		    1 {
				position = 158 537
				mounting = external
			}
			2 {
				position = 304 536
				mounting = external
			}
			3 {
				position = 218 123
				mounting = engine
				content  = titanum_engine
			}
			4 {
				position = 213 239
				mounting = interior
				content  = battery
			}
			5 {
				position = 217 392
				mounting = interior
			}
		}
    }
# sampar    
    parser {
		image   = encounters/parser.png
	    icon    = vehicles/parser.png
		max_hp  = 203
		price   = 15000
		stats {
			hull     = 5
			speed    = 3
			maneuver = 2
			movement = wheeled
		}
        cargo {
            slots = 12
            slot_0_pos = 158.f 193.f
            slot_1_pos = 292.f 193.f
            slot_2_pos = 158.f 276.f
            slot_3_pos = 292.f 276.f
            slot_4_pos = 158.f 359.f
            slot_5_pos = 292.f 359.f
            slot_6_pos = 158.f 442.f
            slot_7_pos = 292.f 442.f
            slot_8_pos = 158.f 525.f
            slot_9_pos = 292.f 525.f
            slot_10_pos = 158.f 608.f
            slot_11_pos = 292.f 608.f
        }
		equipment {
			1 {
				position = 228 120
				mounting = interior
			}
		    2 {
				position = 145 157
				mounting = external
				content = machinegun
			}
			3 {
				position = 311 157
				mounting = external
				content = machinegun
			}
			4 {
				position = 228 213
				mounting = interior
				content  = battery
			}
		    5 {
				position = 145 279
				mounting = external
			}
			6 {
				position = 311 279
				mounting = external
			}
			7 {
				position = 228 316
				mounting = engine
				content = titanum_engine
			}
			8 {
				position = 145 362
				mounting = interior
				content = metal_plates
			}
			9 {
				position = 311 362
				mounting = interior
				content = metal_plates
			}
			10 {
				position = 163 445
				mounting = interior
			}
			11 {
				position = 256 445
				mounting = engine
				content = titanum_engine
			}
			12 {
				position = 145 538
				mounting = interior
			}
			13 {
				position = 311 538
				mounting = interior
			}
			14 {
				position = 228 577
				mounting = engine
				content = titanum_engine
			}
		}
    }
    lancet {
		image   = encounters/lancet.png
	    icon    = vehicles/lancet.png
		max_hp  = 102
		price   = 1500
		stats {
			hull     = 3
			cargo    = 3
			speed    = 4
			maneuver = 3
			movement = half-tracked
		}
        cargo {
            slots = 6
            slot_0_pos = 178.f 172.f
            slot_1_pos = 263.f 172.f
            slot_2_pos = 226.f 256.f
            slot_3_pos = 226.f 339.f
            slot_4_pos = 226.f 422.f
            slot_5_pos = 226.f 505.f
        }
		equipment {
			1 {
				position = 179 91
				mounting = external
			}
			2 {
				position = 264 91
				mounting = external
			}
			3 {
				position = 179 174
				mounting = interior
				content = battery
			}
			4 {
				position = 264 174
				mounting = interior
			}
			5 {
				position = 223 257
				mounting = engine
				content  = titanum_engine
			}
			6 {
				position = 223 340
				mounting = interior
			}
			7 {
			    position = 223 423
				mounting = interior
			}
		}
    }
}
