#GameData::tables/characters

characters {
    1_argus {
        name = Argus Wynnman
        icon = avatars/argus.png
        steering = 3
        scouting = 1
        influence = 2
    }
    2_hasan {
        name = Hasan Al-Naib
        icon = avatars/hasan.png
        steering = 1
        scouting = 4
        influence = 3
    }
    3_frances {
        lock {
            id = character_frances
            description = "Gain Text::FAME(50 fame) points to unlock this character."
        }
        name = Frances Wirth
        icon = avatars/frances.png
        steering = 3
        scouting = 3
        influence = 1
    }
    4_alexander {
        lock {
            id = character_alexander
            description = "Collect Text::CREDITS(20000) to unlock this character."
        }
        name = Alexander de Vriss
        icon = avatars/alexander.png
        specials {
            description = "May carry one extra cargo on board"
            power = extra_cargo
        }
        steering = 2
        scouting = 1
        influence = 4
    }
    5_pepijn {
        lock {
            id = character_pepijn
            description = "Claim the reward for 8 missions to unlock this character."
        }
        name = Pepijn van Avezaath
        icon = avatars/pepijn.png
        specials {
            description = "May re-roll Text::INFLUENCE checks when acquiring rumors"
            power = rumor_reroll
        }
        steering = 2
        scouting = 3
        influence = 2
    }
    6_navon {
        lock {
            id = character_navon
            description = "Have sum of 200 reputation points (both positive and negative) to unlock this character."
        }
        name = Navon du Sandau
        icon = avatars/navon.png
        specials {
            description = "May enter an illegal town after succesful Text::INFLUENCE roll"
            power = enter_illegal_town
        }
        steering = 2
        scouting = 2
        influence = 2        
    }
    7_christian {
        lock {
            id = character_ferguson
            description = "Defeat 10 military units in battle to unlock this character."
        }
        name = Christian Ferguson
        icon = avatars/christian.png
        specials {
            description = "May ignore effects of sandstorms"
            power = ignore_sandstorms
        }
        steering = 4
        scouting = 2
        influence = 1
    }
}
