#GameData::tables/goods

goods {
    chemicals {
        name        = Chemicals
        icon        = goods/chemicals.png
        description = "Chemical substances, compounds, solutions, solvents, catalysts - all those things every self-respecting laboratory needs."
        price       = 400
		colour      = #adb4b7
    }
    composites {
        name        = Composites
        icon        = goods/composits.png
        description = "Engineered or naturally occurring materials made from two or more consistuent materials with significant physical and chemical properties."
        price       = 200
		colour      = #a28c74
    }
    cosmetics {
        name        = Cosmetics
        icon        = goods/cosmetics.png
        description = "Care substances used to enhance physical appearance, some being derived from natural sources, many being synthetic."
        price       = 450
		colour      = #b8777f
    }
    hardware {
        name        = Hardware
        icon        = goods/hardware.png
        description = "Electronic component devices that are building blocks of any computer. Also known as peripherals."
        price       = 500
		colour      = #279d51
    }
    herbs {
        name        = Herbs
        icon        = goods/herbs.png
        description = "Local plants, leaves, seeds and flowers that are used for flavoring, food, medicine or perfume."
        price       = 340
		colour      = #884fc5
    }
    meds {
        name        = Meds
        icon        = goods/meds.png
        description = "Various pills, vaccines, medications, antibiotics, medicines, supplements - all of them. "\
                      "Small doses, large doses. Everybody gets sometimes a flu, no?"
        price       = 430
		colour      = #a29e6c
    }
    provisions {
        name        = Provisions
        icon        = goods/provisions.png
        description = "Desert equipment including clothes, accessories, rigging and textiles."
        price       = 250
		colour      = #9b856f
    }
    reagents {
        name        = Reagents
        icon        = goods/reagents.png
        description = "High-quality chemical components of sufficient purity and complexity."
        price       = 650
		colour      = #ab5320
    }
    seeds {
        name        = Seeds
        icon        = goods/seeds.png
        description = "A variety of plant seeds - some of them have edible purposes, other have different usage in production."
        price       = 370
		colour      = #cba57a
    }
    weapons {
        name        = Weapons
        icon        = goods/weapons.png
        description = "Hand guns, assault rifles, grenades - all that stuff which every revolution need to consume, along with innocent lifes."
        price       = 750
        colour      = #756e7e
    }
# special:
#flora_and_fauna mission
    plants {
		is_special  = true
		name        = Plants
		icon        = goods/plants.png
		description = "Various plants of unidentified species. Probably worth a bit to a "\
					  "someone who is biologists or botanist. You need to bring them to $(1)."
	}
#connoisseur
    herbs_connoisseur {
		is_special  = true
		name        = Herbs
        icon        = goods/herbs.png
        description = "Local plants, leaves, seeds and flowers that are used for flavoring, food, medicine or perfume."
        price       = 340
	}	
	hunted_documents { 
	    is_special  = true
		name        = Documents
		icon        = goods/documents.png
		description = "These are the documents you need to bring to $(1)."
	}
    drugs { 
        is_special  = true
        name        = Drugs
        icon        = goods/drugs.png
        description = "These are the drugs you need to bring to $(1)."
    }
	jewels {
	    is_special  = true
		name        = Jewels
		icon        = goods/jewels.png
		description = "These are the stolen jewels you need to bring to $(1)."
		price       = 1000
	}
}
